#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int x[200005]; int y[200005];

main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int output=0;
int n; cin >> n;
for (int i=0; i<n; i++)
    cin >> x[i] >> y[i];
sort(x,x+n);
sort(y,y+n);

for (int i=0; i<n; i++)
    if (x[i]!=i+1) output+=abs(x[i]-(i+1));
for (int i=0; i<n; i++)
    if (y[i]!=i+1) output+=abs(y[i]-(i+1));
cout << output;

}